Upstream information

CVE-2012-3480 at MITRE

Description

Multiple integer overflows in the (1) strtod, (2) strtof, (3) strtold, (4) strtod_l, and other unspecified "related functions" in stdlib in GNU C Library (aka glibc or libc6) 2.16 allow local users to cause a denial of service (application crash) and possibly execute arbitrary code via a long string, which triggers a stack-based buffer overflow.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.6
Vector AV:L/AC:L/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial

Note from the SUSE Security Team

This issue affects all SUSE Linux and openSUSE versions. Fixes are in preparation and will be rolled into a future glibc update, pending upstream acceptance. Exploitability is restricted to local attackers and unlikely.

SUSE Bugzilla entry: 775690 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP2
  • glibc >= 2.11.3-17.43.1
  • glibc-32bit >= 2.11.3-17.43.1
  • glibc-devel >= 2.11.3-17.43.1
  • glibc-devel-32bit >= 2.11.3-17.43.1
  • glibc-i18ndata >= 2.11.3-17.43.1
  • glibc-locale >= 2.11.3-17.43.1
  • glibc-locale-32bit >= 2.11.3-17.43.1
  • nscd >= 2.11.3-17.43.1
Patchnames:
sledsp2-glibc
SUSE Linux Enterprise Server 11 SP1-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP1-LTSS
  • glibc >= 2.11.1-0.50.1
  • glibc-32bit >= 2.11.1-0.58.1
  • glibc-devel >= 2.11.1-0.50.1
  • glibc-devel-32bit >= 2.11.1-0.58.1
  • glibc-html >= 2.11.1-0.50.1
  • glibc-i18ndata >= 2.11.1-0.50.1
  • glibc-info >= 2.11.1-0.50.1
  • glibc-locale >= 2.11.1-0.50.1
  • glibc-locale-32bit >= 2.11.1-0.58.1
  • glibc-profile >= 2.11.1-0.50.1
  • glibc-profile-32bit >= 2.11.1-0.58.1
  • libxcrypt >= 3.0.3-0.4.1
  • libxcrypt-32bit >= 3.0.3-0.4.1
  • nscd >= 2.11.1-0.50.1
  • pam-modules >= 11-1.18.1
  • pam-modules-32bit >= 11-1.18.1
  • pwdutils >= 3.2.8-0.4.1
  • pwdutils-plugin-audit >= 3.2.8-0.4.1
Patchnames:
slessp1-glibc
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server for SAP Applications 11 SP2
  • glibc >= 2.11.3-17.43.1
  • glibc-32bit >= 2.11.3-17.45.53.1
  • glibc-devel >= 2.11.3-17.43.1
  • glibc-devel-32bit >= 2.11.3-17.45.53.1
  • glibc-html >= 2.11.3-17.43.1
  • glibc-i18ndata >= 2.11.3-17.43.1
  • glibc-info >= 2.11.3-17.43.1
  • glibc-locale >= 2.11.3-17.43.1
  • glibc-locale-32bit >= 2.11.3-17.45.53.1
  • glibc-locale-x86 >= 2.11.3-17.45.49.1
  • glibc-profile >= 2.11.3-17.43.1
  • glibc-profile-32bit >= 2.11.3-17.45.53.1
  • glibc-profile-x86 >= 2.11.3-17.45.49.1
  • glibc-x86 >= 2.11.3-17.45.49.1
  • nscd >= 2.11.3-17.43.1
Patchnames:
slessp2-glibc
SUSE Linux Enterprise Server for VMWare 11 SP2
  • glibc >= 2.11.3-17.43.1
  • glibc-32bit >= 2.11.3-17.45.49.1
  • glibc-devel >= 2.11.3-17.43.1
  • glibc-devel-32bit >= 2.11.3-17.45.49.1
  • glibc-html >= 2.11.3-17.43.1
  • glibc-i18ndata >= 2.11.3-17.43.1
  • glibc-info >= 2.11.3-17.43.1
  • glibc-locale >= 2.11.3-17.43.1
  • glibc-locale-32bit >= 2.11.3-17.45.49.1
  • glibc-locale-x86 >= 2.11.3-17.45.49.1
  • glibc-profile >= 2.11.3-17.43.1
  • glibc-profile-32bit >= 2.11.3-17.45.49.1
  • glibc-profile-x86 >= 2.11.3-17.45.49.1
  • glibc-x86 >= 2.11.3-17.45.49.1
  • nscd >= 2.11.3-17.43.1
Patchnames:
slessp2-glibc
SUSE Linux Enterprise Software Development Kit 11 SP2
  • glibc-html >= 2.11.3-17.43.1
  • glibc-info >= 2.11.3-17.43.1
Patchnames:
sdksp2-glibc
SUSE Linux Enterprise Server 11 SP1 LTSS
  • glibc >= 2.11.1-0.50.1
  • glibc-devel >= 2.11.1-0.50.1
  • glibc-html >= 2.11.1-0.50.1
  • glibc-i18ndata >= 2.11.1-0.50.1
  • glibc-info >= 2.11.1-0.50.1
  • glibc-locale >= 2.11.1-0.50.1
  • glibc-profile >= 2.11.1-0.50.1
  • nscd >= 2.11.1-0.50.1
Builds
SAT Patch Nr: 8082
SUSE Linux Enterprise Server 11 SP1 LTSS
  • glibc >= 2.11.1-0.50.1
  • glibc-32bit >= 2.11.1-0.50.1
  • glibc-devel >= 2.11.1-0.50.1
  • glibc-devel-32bit >= 2.11.1-0.50.1
  • glibc-html >= 2.11.1-0.50.1
  • glibc-i18ndata >= 2.11.1-0.50.1
  • glibc-info >= 2.11.1-0.50.1
  • glibc-locale >= 2.11.1-0.50.1
  • glibc-locale-32bit >= 2.11.1-0.50.1
  • glibc-profile >= 2.11.1-0.50.1
  • glibc-profile-32bit >= 2.11.1-0.50.1
  • nscd >= 2.11.1-0.50.1
Builds
SAT Patch Nr: 8082
SUSE Linux Enterprise Server 10 SP3 LTSS for x86
  • glibc >= 2.4-31.77.102.1
  • glibc-devel >= 2.4-31.77.102.1
  • glibc-html >= 2.4-31.77.102.1
  • glibc-i18ndata >= 2.4-31.77.102.1
  • glibc-info >= 2.4-31.77.102.1
  • glibc-locale >= 2.4-31.77.102.1
  • glibc-profile >= 2.4-31.77.102.1
  • nscd >= 2.4-31.77.102.1
Builds
ZYPP Patch Nr: 8645
SUSE Linux Enterprise Server 10 SP3 LTSS for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP3 LTSS for IBM zSeries 64bit
  • glibc >= 2.4-31.77.102.1
  • glibc-32bit >= 2.4-31.77.102.1
  • glibc-devel >= 2.4-31.77.102.1
  • glibc-devel-32bit >= 2.4-31.77.102.1
  • glibc-html >= 2.4-31.77.102.1
  • glibc-i18ndata >= 2.4-31.77.102.1
  • glibc-info >= 2.4-31.77.102.1
  • glibc-locale >= 2.4-31.77.102.1
  • glibc-locale-32bit >= 2.4-31.77.102.1
  • glibc-profile >= 2.4-31.77.102.1
  • glibc-profile-32bit >= 2.4-31.77.102.1
  • nscd >= 2.4-31.77.102.1
Builds
ZYPP Patch Nr: 8645
SUSE Linux Enterprise Desktop 10 SP4 for x86
  • glibc >= 2.4-31.107.1
  • glibc-devel >= 2.4-31.107.1
  • glibc-html >= 2.4-31.107.1
  • glibc-i18ndata >= 2.4-31.107.1
  • glibc-info >= 2.4-31.107.1
  • glibc-locale >= 2.4-31.107.1
  • nscd >= 2.4-31.107.1
Builds
ZYPP Patch Nr: 8387
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
  • glibc >= 2.4-31.107.1
  • glibc-32bit >= 2.4-31.107.1
  • glibc-devel >= 2.4-31.107.1
  • glibc-devel-32bit >= 2.4-31.107.1
  • glibc-html >= 2.4-31.107.1
  • glibc-i18ndata >= 2.4-31.107.1
  • glibc-info >= 2.4-31.107.1
  • glibc-locale >= 2.4-31.107.1
  • glibc-locale-32bit >= 2.4-31.107.1
  • nscd >= 2.4-31.107.1
Builds
ZYPP Patch Nr: 8387
SLE SDK 10 SP4 for x86
  • glibc-dceext >= 2.4-31.107.1
  • glibc-html >= 2.4-31.107.1
  • glibc-profile >= 2.4-31.107.1
Builds
ZYPP Patch Nr: 8387
SLE SDK 10 SP4 for IPF
  • glibc-dceext >= 2.4-31.107.1
  • glibc-dceext-x86 >= 2.4-31.107.1
  • glibc-html >= 2.4-31.107.1
  • glibc-profile >= 2.4-31.107.1
  • glibc-profile-x86 >= 2.4-31.107.1
Builds
ZYPP Patch Nr: 8387
SLE SDK 10 SP4 for IBM iSeries and IBM pSeries
  • glibc-dceext >= 2.4-31.107.1
  • glibc-dceext-64bit >= 2.4-31.107.1
  • glibc-html >= 2.4-31.107.1
  • glibc-profile >= 2.4-31.107.1
  • glibc-profile-64bit >= 2.4-31.107.1
Builds
ZYPP Patch Nr: 8387
SLE SDK 10 SP4 for IBM zSeries
SLE SDK 10 SP4 for X86-64
  • glibc-dceext >= 2.4-31.107.1
  • glibc-dceext-32bit >= 2.4-31.107.1
  • glibc-html >= 2.4-31.107.1
  • glibc-profile >= 2.4-31.107.1
  • glibc-profile-32bit >= 2.4-31.107.1
Builds
ZYPP Patch Nr: 8387
SUSE Linux Enterprise Server 10 SP4 for x86
  • glibc >= 2.4-31.107.1
  • glibc-devel >= 2.4-31.107.1
  • glibc-html >= 2.4-31.107.1
  • glibc-i18ndata >= 2.4-31.107.1
  • glibc-info >= 2.4-31.107.1
  • glibc-locale >= 2.4-31.107.1
  • glibc-profile >= 2.4-31.107.1
  • nscd >= 2.4-31.107.1
Builds
ZYPP Patch Nr: 8387
SUSE Linux Enterprise Server 10 SP4 for IPF
  • glibc >= 2.4-31.107.1
  • glibc-devel >= 2.4-31.107.1
  • glibc-html >= 2.4-31.107.1
  • glibc-i18ndata >= 2.4-31.107.1
  • glibc-info >= 2.4-31.107.1
  • glibc-locale >= 2.4-31.107.1
  • glibc-locale-x86 >= 2.4-31.107.1
  • glibc-profile >= 2.4-31.107.1
  • glibc-profile-x86 >= 2.4-31.107.1
  • glibc-x86 >= 2.4-31.107.1
  • nscd >= 2.4-31.107.1
Builds
ZYPP Patch Nr: 8387
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • glibc >= 2.4-31.107.1
  • glibc-64bit >= 2.4-31.107.1
  • glibc-devel >= 2.4-31.107.1
  • glibc-devel-64bit >= 2.4-31.107.1
  • glibc-html >= 2.4-31.107.1
  • glibc-i18ndata >= 2.4-31.107.1
  • glibc-info >= 2.4-31.107.1
  • glibc-locale >= 2.4-31.107.1
  • glibc-locale-64bit >= 2.4-31.107.1
  • glibc-profile >= 2.4-31.107.1
  • glibc-profile-64bit >= 2.4-31.107.1
  • nscd >= 2.4-31.107.1
Builds
ZYPP Patch Nr: 8387
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
  • glibc >= 2.4-31.107.1
  • glibc-32bit >= 2.4-31.107.1
  • glibc-devel >= 2.4-31.107.1
  • glibc-devel-32bit >= 2.4-31.107.1
  • glibc-html >= 2.4-31.107.1
  • glibc-i18ndata >= 2.4-31.107.1
  • glibc-info >= 2.4-31.107.1
  • glibc-locale >= 2.4-31.107.1
  • glibc-locale-32bit >= 2.4-31.107.1
  • glibc-profile >= 2.4-31.107.1
  • glibc-profile-32bit >= 2.4-31.107.1
  • nscd >= 2.4-31.107.1
Builds
ZYPP Patch Nr: 8387
SUSE Linux Enterprise Software Development Kit 11 SP2
  • glibc-html >= 2.11.3-17.43.1
  • glibc-info >= 2.11.3-17.43.1
Builds
SAT Patch Nr: 7110
SUSE Linux Enterprise Desktop 11 SP2
  • glibc >= 2.11.3-17.43.1
  • glibc-devel >= 2.11.3-17.43.1
  • glibc-i18ndata >= 2.11.3-17.43.1
  • glibc-locale >= 2.11.3-17.43.1
  • nscd >= 2.11.3-17.43.1
Builds
SAT Patch Nr: 7110
SUSE Linux Enterprise Desktop 11 SP2
  • glibc >= 2.11.3-17.43.1
  • glibc-32bit >= 2.11.3-17.43.1
  • glibc-devel >= 2.11.3-17.43.1
  • glibc-devel-32bit >= 2.11.3-17.43.1
  • glibc-i18ndata >= 2.11.3-17.43.1
  • glibc-locale >= 2.11.3-17.43.1
  • glibc-locale-32bit >= 2.11.3-17.43.1
  • nscd >= 2.11.3-17.43.1
Builds
SAT Patch Nr: 7110
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • glibc >= 2.11.3-17.43.1
  • glibc-devel >= 2.11.3-17.43.1
  • glibc-html >= 2.11.3-17.43.1
  • glibc-i18ndata >= 2.11.3-17.43.1
  • glibc-info >= 2.11.3-17.43.1
  • glibc-locale >= 2.11.3-17.43.1
  • glibc-profile >= 2.11.3-17.43.1
  • nscd >= 2.11.3-17.43.1
Builds
SAT Patch Nr: 7110
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • glibc >= 2.11.3-17.43.1
  • glibc-32bit >= 2.11.3-17.43.1
  • glibc-devel >= 2.11.3-17.43.1
  • glibc-devel-32bit >= 2.11.3-17.43.1
  • glibc-html >= 2.11.3-17.43.1
  • glibc-i18ndata >= 2.11.3-17.43.1
  • glibc-info >= 2.11.3-17.43.1
  • glibc-locale >= 2.11.3-17.43.1
  • glibc-locale-32bit >= 2.11.3-17.43.1
  • glibc-profile >= 2.11.3-17.43.1
  • glibc-profile-32bit >= 2.11.3-17.43.1
  • nscd >= 2.11.3-17.43.1
Builds
SAT Patch Nr: 7110
SUSE Linux Enterprise Server 11 SP2
  • glibc >= 2.11.3-17.43.1
  • glibc-devel >= 2.11.3-17.43.1
  • glibc-html >= 2.11.3-17.43.1
  • glibc-i18ndata >= 2.11.3-17.43.1
  • glibc-info >= 2.11.3-17.43.1
  • glibc-locale >= 2.11.3-17.43.1
  • glibc-locale-x86 >= 2.11.3-17.43.1
  • glibc-profile >= 2.11.3-17.43.1
  • glibc-profile-x86 >= 2.11.3-17.43.1
  • glibc-x86 >= 2.11.3-17.43.1
  • nscd >= 2.11.3-17.43.1
Builds
SAT Patch Nr: 7110


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLED-10-SP3 glibc Released
SLED-10-SP4 glibc Released
SLES for SAP Applications glibc Affected
SLES-10-SP3 glibc Released
SLES-10-SP4 glibc Released
SLES_LTSS-10-SP4 glibc Released
SUSE Linux Enterprise Desktop 11 SP1 glibc Released
SUSE Linux Enterprise Desktop 11 SP2 glibc Released
SUSE Linux Enterprise Desktop 11 SP3 glibc Affected
SUSE Linux Enterprise Desktop 11 SP4 glibc Affected
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search glibc Released
SUSE Linux Enterprise Server 11 SP1 glibc Released
SUSE Linux Enterprise Server 11 SP1 LTSS glibc Released
SUSE Linux Enterprise Server 11 SP2 glibc Released
SUSE Linux Enterprise Server 11 SP2 LTSS glibc Released
SUSE Linux Enterprise Server 11 SP2 for VMware glibc Released
SUSE Linux Enterprise Server 11 SP3 glibc Affected
SUSE Linux Enterprise Server 11 SP3 LTSS glibc Affected
SUSE Linux Enterprise Server 11 SP3 for VMware glibc Affected
SUSE Linux Enterprise Server 11 SP4 glibc Affected
SUSE Linux Enterprise Server 11 SP4 LTSS glibc Affected
SUSE Linux Enterprise Server for SAP Business All-in-One glibc Released
SUSE Linux Enterprise Software Development Kit 11 SP1 glibc Released
SUSE Linux Enterprise Software Development Kit 11 SP2 glibc Released
SUSE Linux Enterprise Software Development Kit 11 SP3 glibc Affected
SUSE Linux Enterprise Software Development Kit 11 SP4 glibc Affected